## sagator 2.0.3-0.beta6

=== po/Makefile ===
LANGUAGES=sk
LANG_FILES=$(addsuffix .mo,$(LANGUAGES))
LOCALE_DIR=$(DESTDIR)$(PREFIX)/share/locale
POFILES=../avlib.py ../srv/webq.py ../srv/web/*.html
PYGETTEXT=

.PHONY:	all install update

all:	$(LANG_FILES)

sagator.pot:	$(POFILES)
	[ "$(PYGETTEXT)" ] && python $(PYGETTEXT) -o $@ $(POFILES) || true

update:	sagator.pot

%.po:
	msgmerge --update $@ sagator.pot
	touch $@

%.mo:	%.po
	msgfmt -o $@ $<

install:	all
	for lang in $(LANGUAGES); do \
	  mkdir -p $(LOCALE_DIR)/$$lang/LC_MESSAGES; \
	  cp -pf $$lang.mo $(LOCALE_DIR)/$$lang/LC_MESSAGES/$(PROGNAME).mo \
	    || echo "WARNING: Compiled locale files (.mo) not found!"; \
	done

clean:
	rm -f *~ *.mo

=== debian/changelog ===
sagator (2.0.3-0.beta6) bionic; urgency=low

  * This file is automatically generated by sagator's configure script.

 -- Jan ONDREJ (SAGATOR) <ondrejj@salstar.sk>  Thu, 23 Jan 2025 20:10:42 +0000

=== debian/control ===
Source: sagator
Section: mail
Priority: optional
Maintainer: Jan ONDREJ (SAGATOR) <ondrejj@salstar.sk>
Build-Depends: debhelper, po-debconf, python3-all-dev, dh-python
Build-Depends-Indep: fakeroot, ed, libclamav-dev (>=0.90.1) | libclamav2-dev (>=0.90.1), apache2, cron, logwatch, systemd, usrmerge
Standards-Version: 3.8.0
XS-Python-Version: all

Package: sagator
Architecture: all
Section: mail
Depends: sagator-base (>= 1.2.0), sagator-webq (>= 1.2.0)
Description: Email antivir/antispam gateway
 This program is an email antivirus/antispam gateway. It is an interface
 to the postfix or sendmail (or any other smtpd), which runs antivirus
 and/or spamchecker. Its modular architecture can use any
 combination of antivirus/spamchecker according to configuration.
 It has some internal checkers (string_scanner and regexp_scanner). Sagator
 can parse MIME mails and decompress archives, if it is configured so.
 Features:
    *  simple chroot support
    * modular antivirus/spamchecker support
          o you can attach an intrascanner to another intrascanner or
      realscanner
          o you can combine intrascanners
          o you can combine realscanners
          o virus/spam level based scanners
    * database support
          o SQL logging
          o dynamic scanner (antivirus/antispam) configuration
    * daily reports for users
    * web quarantine accessible for all users
    * you don't need any perl modules or any other modules, only python
    * you can return any quarantined mail to mailq/user mailbox
    * mailbox/maildir scanning and cleaning
    * smtp policy service (greylist)
    * nice statistics via WWW or MRTG
    * easy installation and configuration

Package: sagator-base
Architecture: all
Section: mail
Recommends: clamav, arj, unrar, unzip, lha, zoo, bzip2
Depends: ${python:Depends}, adduser, debconf, lsb-base
Conflicts: sagator-libclamav, sagator (<< 1.2.0)
XB-Python-Version: ${python:Versions}
Description: Email antivir/antispam gateway - base
 This program is an email antivirus/antispam gateway. It is an interface
 to the postfix or sendmail (or any other smtpd), which runs antivirus
 and/or spamchecker. Its modular architecture can use any
 combination of antivirus/spamchecker according to configuration.
 It has some internal checkers (string_scanner and regexp_scanner). Sagator
 can parse MIME mails and decompress archives, if it is configured so.
 Features:
    *  simple chroot support
    * modular antivirus/spamchecker support
          o you can attach an intrascanner to another intrascanner or
      realscanner
          o you can combine intrascanners
          o you can combine realscanners
          o virus/spam level based scanners
    * database support
          o SQL logging
          o dynamic scanner (antivirus/antispam) configuration
    * daily reports for users
    * web quarantine accessible for all users
    * you don't need any perl modules or any other modules, only python
    * you can return any quarantined mail to mailq/user mailbox
    * mailbox/maildir scanning and cleaning
    * smtp policy service (greylist)
    * nice statistics via WWW or MRTG
    * easy installation and configuration

Package: sagator-webq
Architecture: all
Section: mail
Depends: sagator-base, python3-jinja2, python3-pwquality
Conflicts: sagator (<< 1.2.0)
XB-Python-Version: ${python:Versions}
Description: Email antivir/antispam gateway - web quarantine
 Web quarantine access for sagator email anrivir/antispam gateway.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_PYCENTRAL=nomove
PYVERSIONS=$(shell pyversions -r)

build:	build-stamp

build-stamp:
	dh_testdir
	./configure --prefix=/usr --python=python3
	$(MAKE) all
	touch $@

clean:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f install-stamp build-stamp
	dh_clean

install-stamp: build
	dh_testdir
	./configure --prefix=/usr --python=python3
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	rm -f $(CURDIR)/debian/var/spool/vscan
	touch install-stamp

install:	install-stamp

sagator: install
	dh_testdir
	dh_installdirs
	dh_installdocs -p$@-base
	dh_installchangelogs -i ChangeLog
	for i in smtptest.py pattern bigtest mimeattach.py; do \
	  chmod +x $(CURDIR)/debian/sagator-base/usr/share/doc/sagator-base/test/$$i; \
	done
	dh_install --sourcedir=debian/tmp
	dh_missing --fail-missing
	dh_python3 -i || dh_pycentral -i
	dh_installman
	dh_compress -i -X.pdf -X.html -X.css -X.png
	dh_systemd_enable -psagator --name=sagator sagator.service
	dh_installinit --init-script=sagator #--no-start -r
	dh_installdebconf
	dh_fixperms -i -Xconfig -Xsagator.conf
	dh_md5sums -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

# Build architecture independant packages using the common target.
binary-indep: install sagator

# Build architecture dependant packages using the common target.
binary-arch: install

binary: clean binary-indep binary-arch

.PHONY:	build clean binary-indep binary-arch binary install

## sagator 2.0.3-0.beta10

=== selinux/Makefile ===
include /usr/share/selinux/devel/Makefile

install:	all
	mkdir -p $(INSTDIR)
	cp -af sagator.pp $(INSTDIR)/

=== debian/changelog ===
sagator (2.0.3-0.beta10) bullseye; urgency=low

  * This file is automatically generated by sagator's configure script.

 -- Jan ONDREJ (SAGATOR) <ondrejj@salstar.sk>  Sun, 28 Dec 2025 04:10:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: mail
 Priority: optional
 Maintainer: Jan ONDREJ (SAGATOR) <ondrejj@salstar.sk>
-Build-Depends: debhelper, po-debconf, python3-all-dev, dh-python
-Build-Depends-Indep: fakeroot, ed, libclamav-dev (>=0.90.1) | libclamav2-dev (>=0.90.1), apache2, cron, logwatch, systemd, usrmerge
-Standards-Version: 3.8.0
+Build-Depends: debhelper-compat (= 12), po-debconf, python3-all-dev, dh-python
+Build-Depends-Indep: fakeroot, ed, libclamav-dev (>=0.90.1) | libclamav2-dev (>=0.90.1), apache2, cron, logwatch, systemd, python3-spf, python3-magic
+Standards-Version: 4.5.0
 XS-Python-Version: all
 
 Package: sagator
 Architecture: all
 Section: mail
-Depends: sagator-base (>= 1.2.0), sagator-webq (>= 1.2.0)
+Depends: sagator-base (>= 2.0.0), sagator-webq (>= 2.0.0)
 Description: Email antivir/antispam gateway
  This program is an email antivirus/antispam gateway. It is an interface
  to the postfix or sendmail (or any other smtpd), which runs antivirus
@@ -41,10 +41,9 @@
 Package: sagator-base
 Architecture: all
 Section: mail
-Recommends: clamav, arj, unrar, unzip, lha, zoo, bzip2
-Depends: ${python:Depends}, adduser, debconf, lsb-base
-Conflicts: sagator-libclamav, sagator (<< 1.2.0)
-XB-Python-Version: ${python:Versions}
+Recommends: clamav, arj, unrar, unzip, lha, bzip2
+Depends: adduser, debconf, lsb-base
+Conflicts: sagator-libclamav, sagator (<< 2.0.0)
 Description: Email antivir/antispam gateway - base
  This program is an email antivirus/antispam gateway. It is an interface
  to the postfix or sendmail (or any other smtpd), which runs antivirus
@@ -76,7 +75,6 @@
 Architecture: all
 Section: mail
 Depends: sagator-base, python3-jinja2, python3-pwquality
-Conflicts: sagator (<< 1.2.0)
-XB-Python-Version: ${python:Versions}
+Conflicts: sagator (<< 2.0.0)
 Description: Email antivir/antispam gateway - web quarantine
  Web quarantine access for sagator email anrivir/antispam gateway.
